
package org.glassfish.jersey.gf.cdi;

import org.glassfish.jersey.internal.l10n.Localizable;
import org.glassfish.jersey.internal.l10n.LocalizableMessageFactory;
import org.glassfish.jersey.internal.l10n.Localizer;


/**
 * Defines string formatting method for each constant in the resource file
 * 
 */
public final class LocalizationMessages {

    private final static LocalizableMessageFactory messageFactory = new LocalizableMessageFactory("org.glassfish.jersey.gf.cdi.localization");
    private final static Localizer localizer = new Localizer();

    public static Localizable localizableCDI_CLASS_ANALYZER_MISUSED() {
        return messageFactory.getMessage("cdi.class.analyzer.misused");
    }

    /**
     * Jersey CDI class analyzer is supposed to be used only for field and method inspection when injecting CDI beans.
     * 
     */
    public static String CDI_CLASS_ANALYZER_MISUSED() {
        return localizer.localize(localizableCDI_CLASS_ANALYZER_MISUSED());
    }

    public static Localizable localizableCDI_LOOKUP_FAILED(Object arg0) {
        return messageFactory.getMessage("cdi.lookup.failed", arg0);
    }

    /**
     * Error when lookup instance of class, {0}, in CDI.
     * 
     */
    public static String CDI_LOOKUP_FAILED(Object arg0) {
        return localizer.localize(localizableCDI_LOOKUP_FAILED(arg0));
    }

    public static Localizable localizableCDI_BEAN_MANAGER_JNDI_LOOKUP_FAILED() {
        return messageFactory.getMessage("cdi.bean.manager.jndi.lookup.failed");
    }

    /**
     * Failed to obtain BeanManager from JNDI lookup.
     * 
     */
    public static String CDI_BEAN_MANAGER_JNDI_LOOKUP_FAILED() {
        return localizer.localize(localizableCDI_BEAN_MANAGER_JNDI_LOOKUP_FAILED());
    }

    public static Localizable localizableCDI_PROVIDER_INITIALIZED() {
        return messageFactory.getMessage("cdi.provider.initialized");
    }

    /**
     * Jersey CDI component provider initialized.
     * 
     */
    public static String CDI_PROVIDER_INITIALIZED() {
        return localizer.localize(localizableCDI_PROVIDER_INITIALIZED());
    }

}
